CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::CachedLightData Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::CachedLightData Struct Reference

Shadowing-specific data persistently stored for every light. More...

`#include <csplugincommon/rendermanager/lightsetup.h>`

List of all members.

## Public Member Functions
void | ClearFrameData ()
| Clear data needed for one frame after rendering.
uint | GetSublightNum () const
| Number of virtual lights needed for this light.
void | SetupFrame (RenderTree &, ShadowNone &, iLight *)
| Once per frame setup for light.

## Detailed Description

### template<typename RenderTree, typename LayerConfigType>
struct CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::CachedLightData

Shadowing-specific data persistently stored for every light.

Definition at line 320 of file lightsetup.h.

## Member Function Documentation

template<typename RenderTree, typename LayerConfigType>

void CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::CachedLightData::ClearFrameData | ( |  | ) | `[inline]`

Clear data needed for one frame after rendering.

Definition at line 327 of file lightsetup.h.

template<typename RenderTree, typename LayerConfigType>

uint CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::CachedLightData::GetSublightNum | ( |  | ) | const`[inline]`

Number of virtual lights needed for this light.

Definition at line 323 of file lightsetup.h.

template<typename RenderTree, typename LayerConfigType>

void CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::CachedLightData::SetupFrame | ( | RenderTree & | ,
|  | ShadowNone & | ,
|  | iLight * |
| ) |  | `[inline]`

Once per frame setup for light.

Definition at line 325 of file lightsetup.h.

The documentation for this struct was generated from the following file:

- csplugincommon/rendermanager/lightsetup.h